﻿@model IEnumerable<EMartVG.Models.Marca>

@{
    ViewBag.Title = "ListarMarcas";
}


<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Panel de Administración</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Panel de Administración</a></li>
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Marcas</a></li>
        <li class="breadcrumb-item active" aria-current="~/Admin/ListarMarcas/">Listar Marcas</li>
    </ol>
</nav>

<div class="card text-center" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:white ; color: black" href="~/Admin/CreaMarcas/">Marcas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaCategoria">Categorías</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaProducto">Productos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaAdmin/">Administradores</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/ListarVentas/">Ventas</a>
            </li>
        </ul>
    </div>
    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Admin/CreaMarcas">Agregar Marca</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" style="color:white; background-color:black" href="#">Listar Marcas</a>
                    </li>
                </ul>
            </div>
            <div class="card-body">
                <!--SELECTOR FILTROS-->
                <div class="form-row">
                    <div class="col-3 form-group">
                        <input class="form-control" type="search" id="marca" value="" placeholder="Ingrese nombre de marca" />
                    </div>
                    <div class="col-3">
                        @Html.DropDownList("estadomarca", null, "Todos los estados", htmlAttributes: new { @class = "form-control" })
                    </div>
                    <div>
                        <button class="btn btn-dark" id="buscar">Buscar</button>
                    </div>
                </div>
                <div class="table-responsive" id="tablaMarcas">

                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
<script>
        
    $(window).on("load", function () {
        //obtiene campos para filtrado
        document.getElementById('marca').value = (localStorage.getItem("marcaLM"));
        document.getElementById('estadomarca').value = (localStorage.getItem("estadoLM"));
    });

    $(window).on("load", function () {

            $.get('@Url.Action("ListaMarcaPartial")' + '?nom=' + $('#marca').val() + '&estado=' + $('#estadomarca').val(), function (lista) {
            $('#tablaMarcas').html(lista);

            });
    });

    $('#marca').on("search keyup", function () {

        if (!$("#marca").val()) {
            $.get('@Url.Action("ListaMarcaPartial")' + '?nom=' + $('#marca').val(), function (lista) {
            //localStorage.setItem("marca", $('#marca').val());
            $('#tablaMarcas').html(lista);
            });
        }
    });

    $('#buscar').click(function () {

        $.get('@Url.Action("ListaMarcaPartial")' + '?nom=' + $('#marca').val() + '&estado=' + $('#estadomarca').val(), function (lista) {
        //ingresa datos
         localStorage.setItem("marcaLM", $('#marca').val());
         localStorage.setItem("estadoLM", $('#estadomarca').val());
        //fin ingreso
            $('#tablaMarcas').html(lista);
        });
    });
         
</script>
}

